Bug 80832 - proftpd mod_ctrls enhancement
Summary: proftpd mod_ctrls enhancement
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-09 18:50 UTC by Matus UHLAR - fantomas
Modified: 2005-10-10 06:29 UTC (History)
0 users

See Also:


Attachments
port-proftpd-Makefile.patch (721 bytes, patch)
2005-05-10 15:01 UTC, Matus UHLAR - fantomas
no flags Details | Diff
port-proftpd1.3.0rc2-Makefile-ctrls.patch (301 bytes, patch)
2005-10-03 12:51 UTC, Matus UHLAR - fantomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matus UHLAR - fantomas 2005-05-09 18:50:02 UTC
      when compiling proftpd, user can choose whether to compile mod_ctrls by using WITH_CTRLS variable. In such case, the --enable-ctrls is added to configure arguments and ftpdctl.8 to list of manual pages to install.
However, it does not add ftpdctl to list of files to install, so it doesn't get installed.
Also, the mod_ctrls_admin module is not added, although it is often a reason, why people wants to compileproftpd woth ctrls.

Fix: 

when user specifies WITH_CTRLS, program "ftpdctl" should be installed too. Also, mod_ctrls_admin should be added to list of modules to install, unless user specifies WITHOUT_CTRLS_ADMIN.
Comment 1 Matus UHLAR - fantomas 2005-05-10 15:01:14 UTC
attached patch should help...

-- 
Matus UHLAR - fantomas, uhlar@fantomas.sk ; http://www.fantomas.sk/
Warning: I wish NOT to receive e-mail advertising to this address.
Varovanie: na tuto adresu chcem NEDOSTAVAT akukolvek reklamnu postu.
Linux IS user friendly, it's just selective who its friends are...
Comment 2 Pav Lucistnik freebsd_committer 2005-05-24 23:17:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mharo

Over to maintainer
Comment 3 Matus UHLAR - fantomas 2005-08-17 16:21:33 UTC
Anything new to this?

-- 
Matus UHLAR - fantomas, uhlar@fantomas.sk ; http://www.fantomas.sk/
Warning: I wish NOT to receive e-mail advertising to this address.
Varovanie: na tuto adresu chcem NEDOSTAVAT akukolvek reklamnu postu.
BSE = Mad Cow Desease ... BSA = Mad Software Producents Desease
Comment 4 Matus UHLAR - fantomas 2005-09-06 17:27:14 UTC
Hello,

This bug is still there, the only thing that changed is that ftpdctl.8 is
now installed by default, but it is also added when WITH_CTRLS is defined:

MAN8=   proftpd.8 ftpshut.8 ftpdctl.8

.if defined(WITH_CTRLS)
CONFIGURE_ARGS+=        --enable-ctrls
MAN8+=          ftpdctl.8
.else
.endif

note that without mod_ctrls_admin the ftpdctl is useless (and the manpage
is useless without the program too).

-- 
Matus UHLAR - fantomas, uhlar@fantomas.sk ; http://www.fantomas.sk/
Warning: I wish NOT to receive e-mail advertising to this address.
Varovanie: na tuto adresu chcem NEDOSTAVAT akukolvek reklamnu postu.
Save the whales. Collect the whole set.
Comment 5 Matus UHLAR - fantomas 2005-10-03 12:51:28 UTC
Aha, I missed something - ftpdctl is built by proftpd Makefile even if
--enable-ctrls is not specified, but in such case it only reports that ctrls
weren't enabled. So, ftpdctl (with the manpage) may be installed always,
even if not useful.

However, it still remains kinda useless. This patch causes mod_ctrls_admin
to be added to list of modules unless WITHOUT_CTRLS_ADMIN is defined.

(and it drops redundant ftpdctl.8 addition to MAN8 and .else directive)

-- 
Matus UHLAR - fantomas, uhlar@fantomas.sk ; http://www.fantomas.sk/
Warning: I wish NOT to receive e-mail advertising to this address.
Varovanie: na tuto adresu chcem NEDOSTAVAT akukolvek reklamnu postu.
Linux - It's now safe to turn on your computer.
Linux - Teraz mozete pocitac bez obav zapnut.
Comment 6 Michael Haro freebsd_committer 2005-10-10 06:29:08 UTC
State Changed
From-To: open->closed

fix added. 

thanks